<script setup>
import { computed } from "vue";

const props = defineProps({ g: String });

const approved = computed(() => +props.g >= 60);
</script>

<template>
  <div class="results">
    <h1 class="title">Results</h1>
    <div
      class="results__message results__message--approved"
      :class="approved ? 'results__message--approved' : 'results__message--disapproved'"
    >
      <div class="results__grade">{{ +g }}</div>
      <span v-if="approved">Congratulations, great work.</span>
      <span v-else>Sorry, you didn't approve. Try again.</span>
    </div>
  </div>
</template>

<style>
.results {
  max-width: 500px;
  display: flex;
  flex-direction: column;
  background-color: #3d3d3d;
  border-radius: 12px;
  padding: 2em;
}
.title {
  @apply text-lg text-white font-bold mb-2;
}
.results__grade {
  color: white;
  font-size: xx-large;
}
.results__message {
  color: white;
  font-weight: 700;
  margin-bottom: 15px;
  text-align: center
}
.results__message--approved {
  @apply bg-green-500 text-white font-bold rounded-t px-4 py-2;
}
.results__message--disapproved {
  @apply bg-red-500 text-white font-bold rounded-t px-4 py-2;
}
</style>
